<p id="notice"><%= notice %></p>

<h3><%= Admin::LdapConfig.model_name.human.pluralize %></h3>

<table data-tablesort='true' data-toggle="tablesort" class="tablesorter">
  <thead>
    <tr>
      <th><%= Admin::LdapConfig.human_attribute_name(:name) %></th>
      <th><%= Admin::LdapConfig.human_attribute_name(:host) %></th>
      <th><%= Admin::LdapConfig.human_attribute_name(:port) %></th>
      <th colspan="3"></th>
    </tr>
  </thead>

  <tbody>
    <% @ldap_configs.each do |ldap_config| %>
      <tr>
        <td><%= ldap_config.name %></td>
        <td><%= ldap_config.host %></td>
        <td><%= ldap_config.port %></td>
        <td><%= link_to 'Test config', admin_ldap_config_test_path(id: ldap_config), remote: true %></td>
        <td><%= link_to fa_icon_edit, edit_admin_ldap_config_path(ldap_config) %></td>
        <td><%= link_to fa_icon_delete, ldap_config, method: :delete, data: { confirm: 'Are you sure?' } %></td>
      </tr>
    <% end %>
  </tbody>
</table>

<br>

<%= link_to 'New Ldap Config', new_admin_ldap_config_path, class: 'btn btn-outline-warning' %>
